<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <title>Edit Branch</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.4.1/css/all.css">
</head>
<body>
<div class="container my-5">
    <h2 class="mb-5">New Branch</h2>
    <div class="row">
        <div class="col-md-6">
            <form action="#" th:action="@{/branch/edit/{id}(id=${branchDto.id})}" th:object="${branchDto}" method="post">
                <div class="row">
                    <div class="form-group col-md-6">
                        <label for="address" class="col-form-label">Address</label>
                        <input type="text" th:field="*{address}" class="form-control" id="address"
                               placeholder="Address">
                        <span th:if="${#fields.hasErrors('address')}" th:errors="*{address}" class="text-danger"></span>
                    </div>
                    <div class="form-group col-md-6">
                        <label for="branchName" class="col-form-label">Branch Name</label>
                        <input type="text" th:field="*{branchName}" class="form-control" id="branchName"
                               placeholder="Branch Name">
                        <span th:if="${#fields.hasErrors('branchName')}" th:errors="*{branchName}"
                              class="text-danger"></span>
                    </div>
                    <div class="form-group col-md-6">
                        <label for="rental" class="col-form-label">Rental</label>
                        <select th:field="*{rentalId}" id="rental">
                            <option th:each="rent : ${availableRentals}"
                                    th:value="${rent.id}"
                                    th:text="${rent.name}">
                            </option>
                        </select>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-6 mt-5">
                        <input type="submit" class="btn btn-primary" value="Edit branch">
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>
</body>
</html>
